For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
          • GETGet Orders
          • GETGet Order
          • PUTPlace Order
          • GETGet Fulfillments
          • POSTReport Errors
LogoLogo
RESTFeedAMP Order SourceOrders

Report Errors

POST
https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/:mp_order_number/errors
POST
/api/v1/orders/:mp_order_number/errors
$curl -X POST https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/errors \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "code": "INVALID_TRACKING_NUMBER",
> "message": "Value SOMETHING not valid for state"
> }
>]'
1{}

This endpoint allows the marketplace to report any errors that occur while processing a fulfillment/cancellation for an order line

Was this page helpful?
Previous

Get Fulfillments

Next

Get Seller Initiated Refunds

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

mp_order_numberstringRequired
The unique Id for an order that is generated by the marketplace

Request

This endpoint expects a list of objects.
codeenumRequired
Code to uniquely identify the type of error
messagestringRequired
The error message for the error code
mp_line_numberstringOptional<=128 characters
Order line number that has an error
debuglist of maps from strings to anyOptional

Response

Error reported

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error